Onex oms安装计划任务crontab的问题

/ 0评 / 0

ERP计划任务配置: 1.配置linux 系统crond任务

【crontab】


* * * * * /bin/sh /data/httpd/erp/app/taskmgr/check.sh 
0 0 * * * /bin/sh /data/httpd/erp/app/taskmgr/cleanlogs.sh

【taskmgr app】


修改 app/taskmgr/config/config.php   'DOMAIN'  (domain需要改为nginx.conf里面的servername的名字保持一致)

修改 app/taskmgr/config/config.php   'REQ_TOKEN'  (可以修改任意字符,也可以不用改)

【server name】

需要配置server名字,httpd 或者用nginx都需要配置

如果用域名的话,需要在服务器端写IP地址,如127.0.0.1 www.shopex.cn(自己的server域名)

【NAT或者前端代理(nginx\proxy)注意事项】

1.外网端口要和本机端口保持一致,否则,会造成支付状态不同步,前端店铺不同步,导入导出,订单状态不同步和商品不同步等。。如外网IP 120.99.82.81 映射80端口到内网192.168.70.22的80端口(只要是端口一致就可以,没有对端口特别要求)

2.采用这样方法必须要配置域名,否则,会造成支付状态不同步,前端店铺不同步,导入导出,订单状态不同步和商品不同步等。如:在域名管理配置域名映射到外网地址,然后在本地服务器配置hosts,如127.0.0.1 www.shopex.cn(自己的server域名)

3.没有域名,且IP和本地主机无法直接通讯(ping,telnet等),会造成支付状态不同步,前端店铺不同步,导入导出,订单状态不同步和商品不同步等。!!!强制加域名,否则,此问题无法解决

【配置php-pthreads】

配置完本步骤之后,会有php-pthreads 的4个进程的任务,ps aux |grep php-pthread 可以看到 重启不要直接杀掉进程,重启的话需要把start 改为stop 再改为start,如: 进程看到的 /usr/local/php-pthreads/bin/php /alidata/www/erp/app/taskmgr/taskDaemon.php stop export

下面是2种安装php-pthreads的操作步骤,根据自己的需要,进行安装

操作步骤:

一、常规系统(centos 6.X)安装php-pthreads

适合环境:


centos6.[0-7]  64位操作系统
redhat enterprise linux 6.[0-7] 64位操作系统

注意:32位操作系统不适于此方法,请参考第二种

1.下载yum源:


wget mirrors.shopex.cn/shopex/shopex-lnmp/shopex-lnmp.repo -P /etc/yum.repos.d/   

yum clean metadata

yum makecache

2.查看并下载:

用yum list 查看是否有shopex的php-pthreads软件

如图:

用yum -y install php-pthreads.x86_64 下载

3.查看/usr/local/下面 php-pthreads

4.修改vim /data/www/app/taskmgr/config/config.php

redis 启用 (需要安装redis服务。有的话直接调用没的话安装)
修改域名

将正式的域名信息配置到apache中,重启apache(nginx 也要修改正式域名)否则,会影响计划任务的运行

配置完成之后,需要把php-pthread所有进程都重新启动下。重启方法,在最上面最后一步

结束

二、php-pthreads安装(如果第一种安装不行,采用这个)

适用环境: 所有linux(包含5系列,6系列,7系列,以及其他linux系统)

1.下载php安装包


地址:http://cn2.php.net/distributions/php-5.3.29.tar.gz
编译安装
./configure --prefix=/usr/local/php-pthreads --with-config-file-path=/usr/local/php-pthreads/etc --enable-maintainer-zts --with-freetype-dir --disable-rpath --enable-magic-quotes --enable-safe-mode --enable-bcmath --with-curl --with-curlwrappers --enable-mbregex --enable-mbstring --enable-pcntl --enable-sockets --enable-zip --with-xmlrpc --enable-mbstring --without-pear
make&&make install

2.yum/apt-gt 安装


yum -y install librabbitmq-0.5.2-1.el6.x86_64 librabbitmq-tools-0.5.2-1.el6.x86_64 librabbitmq-devel-0.5.2-1.el6.x86_64(不同系统版本可能不同)

3 php-threads扩展下载


wget http://pecl.php.net/get/pthreads-2.0.10.tgz
  解包:
      tar -xvf pthreads-2.0.10.tgz
      cd pthreads-2.0.10
      /usr/local/php-pthreads/bin/phpize
      ./configure --with-php-config=/usr/local/php-pthreads/bin/php-config
      make&&make install

4 php-redis扩展下载


wget http://pecl.php.net/get/redis-2.2.7.tgz
cd redis-2.2.7
/usr/local/php-pthreads/bin/phpize
./configure --with-php-config=/usr/local/php-pthreads/bin/php-config
make&&make install

5 php-amqp扩展下载


wget  http://pecl.php.net/get/amqp-1.4.0.tgz
cd amqp-1.4.0
/usr/local/php-pthreads/bin/phpize
./configure --with-php-config=/usr/local/php-pthreads/bin/php-config
make&&make install
注:如果报librabbit is not fount ,请用仓库(yum/apt-gt/dnf等方式)安装第2步。

6 在配置文件中新增扩展


vim /usr/local/php-pthreads/etc/php.ini     
extension_dir= "/usr/local/php-pthreads/lib/php/extensions/no-debug-zts-20090626/"(检查显示的地址是不是这个,不是的话要更改成你自己的)
extension= amqp.so
extension= redis.so
extension= pthreads.so

7,修改vim /data/www/app/taskmgr/config/config.php

redis 启用 (需要安装redis服务。有的话直接调用没的话安装)
修改域名

将正式的域名信息配置到apache中,重启apache(nginx 也要修改正式域名)否则,会影响计划任务的运行

配置完成之后,需要把php-pthread所有进程都重新启动下。重启方法,在最上面最后一步; 结束

1.报错 如果报如上错误,目前发现为php-pthreds依赖没装好 推荐用我们做的rpm源,直接yum安装,从而解决依赖关系 将正式的域名信息配置到apache中,重启apache(nginx 也要修改正式域名)否则,会影响计划任务的运行 再次运行计划任务,应该就没有致命错误了

发表评论

电子邮件地址不会被公开。 必填项已用*标注